import { defineStore } from "pinia";
import { reactive } from "vue";
import type { Questions } from "@/modules/06_retirement/interface/index/ExitInterviewQuestion";

export const useExitInterviewQuestionDataStore = defineStore("exitInterviewQuestion", () => {
  const question = reactive<Questions[]>([
    {
      no: 1,
      desc: 'เหตุใดท่านจึงตัดสินใจร่วมงานกับกรุงเทพมหานคร (เลือกได้มากกว่า 1 ข้อ)',
      score: 5,
    }
  ])

  return {
    question,
  };
});
